package com.logicbig.example;

import java.time.Instant;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.time.Period;
import java.util.*;

public enum OrderService {
    Instance;
    private Map<Integer, Order> orders = new HashMap<>();

    OrderService() {
        Instant instant = OffsetDateTime.now().toInstant();
        for (int i = 1; i <= 5; i++) {
            Order order = new Order();
            order.setId(i);
            order.setItem("item " + i);
            order.setQty((int) (1 + Math.random() * 100));
            long millis = instant.minus(Period.ofDays(i))
                                 .toEpochMilli();
            order.setOrderDate(new Date(millis));
            orders.put(i, order);
        }
    }

    public Collection<Order> getAllOrders() {
        return new ArrayList<>(orders.values());
    }

    public boolean deleteOrderById(int orderId) {
        return orders.remove(orderId) != null;
    }

    public Order getOrderById(int id) {
        return orders.get(id);
    }
}